<template>
    <div>
        <label :for="fieldname">{{ label }}</label>
        <br>
        <textarea
            :id="fieldname"
            v-model="newValue"
            v-on:change="changeValueInDatabase"
            cols="30"
            rows="10"
            :disabled="disabled"
        ></textarea>
        <broject-database-fieldchanger
            :classname="classname"
            :entity-id="entityId"
            :fieldname="fieldname"
            :old-value="oldValue"
            :new-value="newValue"
            :disabled="disabled"
            :is-changing="isChanging"
            type="textarea"
            @changeSucceeded="changeValueInVue"
            @changeFailed="handleFailedFieldChange"
        ></broject-database-fieldchanger>
    </div>
</template>

<script>
    import General from './General.vue';

    export default {

        extends: General,

    }
</script>
